System.ComponentModel.DataAnnotations 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false)

The properties of this class can be used either as literals or as resource identifiers for a specified instance.

Provides a general-purpose attribute that lets you specify localizable strings for types and members of entity partial classes.

- Constructor
  4.0.0.0

  The constructor initializes the , , , and properties to an empty string.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Boolean To be added.

  Do not use this property to access the property. Use the method instead.

  Gets or sets a value that indicates whether UI should be generated automatically in order to display this field.

- Property
  4.0.0.0
  System.Boolean To be added.

  Do not use this property to get the value of the property. Use the method instead.

  Setting this property overrides the default behavior for specifying which columns are included as filters.

  Gets or sets a value that indicates whether filtering UI is automatically displayed for this field.

- Property
  4.0.0.0
  System.String To be added.

  Do not use this property to get the value of the property. Use the method instead.

  The property is typically used as a tooltip or description UI element that is bound to the member using this attribute. The Dynamic Data Edit.ascx template will display the description as a tooltip in text-entry fields. A null value or empty string is valid.

  Gets or sets a value that is used to display a description in the UI.

- Method
  4.0.0.0
  System.Nullable<System.Boolean> To be added.

  Returns the value of the property.

  The value of if the property has been initialized; otherwise, null.

- Method
  4.0.0.0
  System.Nullable<System.Boolean> To be added.

  Returns a value that indicates whether UI should be generated automatically in order to display filtering for this field.

  The value of if the property has been initialized; otherwise, null.

- Method
  4.0.0.0
  System.String

  The property is typically used as a tooltip for the property that is annotated with this attribute.

  Returns the value of the property.

  The localized description, if the has been specified and the property represents a resource key; otherwise, the non-localized value of the property.

- Method
  4.0.0.0
  System.String To be added.

  Returns the value of the property.

  A value that will be used for grouping fields in the UI, if has been initialized; otherwise, null. If the property has been specified and the property represents a resource key, a localized string is returned; otherwise, a non-localized string is returned.

- Method
  4.0.0.0
  System.String

  The name is typically used as the field label for a UI element that is bound to the property that is annotated with the property. A null value or empty string is valid.

  Returns a value that is used for field display in the UI.

  The localized string for the property, if the property has been specified and the property represents a resource key; otherwise, the non-localized value of the property.

- Method
  4.0.0.0
  System.Nullable<System.Int32>

  If an order is not specified, presentation layers should consider setting the value of the property to 10000. This value lets explicitly-ordered fields be displayed before and after the fields that do not have a specified order.

  Returns the value of the property.

  The value of the property, if it has been set; otherwise, null.

- Method
  4.0.0.0
  System.String

  The property is typically used as a prompt or watermark for a UI element that is bound to the property that is annotated with the attribute.

  Returns the value of the property.

  Gets the localized string for the property if the property has been specified and if the property represents a resource key; otherwise, the non-localized value of the property.

- Method
  4.0.0.0
  System.String

  The short name is used as the grid column label for a UI element that is bound to the property that is annotated with this attribute. This property returns either the literal, non-localized string, or a localized string if is not null.

  Returns the value of the property.

  The localized string for the property if the property has been specified and if the property represents a resource key; otherwise, the non-localized value of the value property.

- Property
  4.0.0.0
  System.String To be added.

  Do not use this property to get the value of the property. Use the method instead. A null value or empty string is valid.

  Gets or sets a value that is used to group fields in the UI.

- Property
  4.0.0.0
  System.String To be added.

  Do not use this property to get the value of the property. Use the method instead.

  The name is typically used as the field label for a UI element that is bound to the property that is annotated with this attribute. The Dynamic Data List.aspx, ListDetails.aspx, and Details.aspx page templates use the property for the field label. A null value or empty string is valid.

  Gets or sets a value that is used for display in the UI.

- Property
  4.0.0.0
  System.Int32 To be added.

  Columns are sorted in increasing order based on the order value. Columns without this attribute have an order value of 0. Negative values are valid and can be used to position a column before all non-negative columns. If an order is not specified, presentation layers should consider using the value 10000. This value lets explicitly-ordered fields be displayed before and after the fields that do not have a specified order.

  Gets or sets the order weight of the column.

- Property
  4.0.0.0
  System.String To be added.

  This property is typically used as a prompt or watermark for a UI element that is bound to the property that is annotated with this attribute. Do not use this method to access the prompt string. Use the method instead.

  Gets or sets a value that will be used to set the watermark for prompts in the UI.

- Property
  4.0.0.0
  System.Type To be added.

  If this value is null, the , , , and properties are assumed to be literal, non-localized strings. If this value is not null, the string properties are assumed to be the names of public static properties that return the actual string value.

  Gets or sets the type that contains the resources for the , , , and properties.

- Property
  4.0.0.0
  System.String To be added.

  The short name is used as the grid column label for a UI element that is bound to the property that is annotated with this attribute. The Dynamic Data Insert.aspx and Edit.aspx page templates use the for the field label. This property returns the localized string for if the property has been specified and if the property represents a resource key. If the property has not been specified or if the property is not a resource key, this property returns a non-localized string.

  Gets or sets a value that is used for the grid column label.